For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

List available markets summary

GET
https://api.testnet.paradex.trade/v1/markets/summary
GET
/v1/markets/summary
$curl -X GET https://api.testnet.paradex.trade/v1/markets/summary?market=BTC-USD-PERP \
> -H 'Accept: application/json'
1{
2 "results": [
3 {
4 "ask": "30130.15",
5 "ask_iv": "0.2",
6 "bid": "30112.22",
7 "bid_iv": "0.2",
8 "created_at": 1,
9 "delta": "1",
10 "funding_rate": "0.3",
11 "future_funding_rate": "0.3",
12 "greeks": {
13 "delta": "1",
14 "gamma": "0.2",
15 "rho": "0.2",
16 "vanna": "0.2",
17 "vega": "0.2",
18 "volga": "0.2"
19 },
20 "last_iv": "0.2",
21 "last_traded_price": "30109.53",
22 "mark_iv": "0.2",
23 "mark_price": "29799.70877478",
24 "open_interest": "6100048.3",
25 "price_change_rate_24h": "0.05",
26 "symbol": "BTC-USD-PERP",
27 "total_volume": "141341.0424",
28 "underlying_price": "29876.3",
29 "volume_24h": "47041.0424"
30 }
31 ]
32}
Get markets dynamic data component
Was this page helpful?
Previous

Get market orderbook

Next
Built with

Query parameters

endintegerOptional

End Time (unix time millisecond)

marketstringRequired

Name of the market for which summary is requested (for all available markets use ALL)

startintegerOptional

Start Time (unix time millisecond)

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error